Feature Freeze Exception: New upstream version of pulseaudio 0.9.10.

Bug #211592 reported by Luke Yelavich on 2008-04-03
8
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

The new upstream version of pulseaudio is a bugfix release, as shown by the attached changelog.

There have been a fair number of pulseaudio bug reports in the past weeks, and getting this new upstream version in as opposed to pulling patches manually will likely help resolve a lot of issues that users are experiencing.

Related branches

Luke Yelavich (themuso) wrote :
Luke Yelavich (themuso) wrote :
Luke Yelavich (themuso) wrote :
Luke Yelavich (themuso) wrote :
Martin Pitt (pitti) wrote :

What are the new features which need approval? Reading the changelog, I see a lot of "merge rXXXX from trunk" which are not clear whether they are bug fixes.

What the heck is the following? :-)

2008-03-28 17:03 lennart

 * src/daemon/main.c: actually set lennart to the user name, not the
   group name. Set lennart too.

  • unnamed Edit (189 bytes, application/pgp-signature; name=signature.asc)

On Fri, 2008-04-04 at 07:29 +0000, Martin Pitt wrote:
> What are the new features which need approval? Reading the changelog, I
> see a lot of "merge rXXXX from trunk" which are not clear whether they
> are bug fixes.
>
> What the heck is the following? :-)
>
> 2008-03-28 17:03 lennart
>
> * src/daemon/main.c: actually set lennart to the user name, not the
> group name. Set lennart too.
>

Welcome to the wonderful world of lennartp applications. In lennartp
terms, this means: set the username to the one specified in the config,
not the group name. but, set the groupname to the one specified in the
config too.

Or something like that.

Luke Yelavich (themuso) wrote :

I'm attaching a file with a dump of all the svn revisions listed in the changelog for merges that were not fully described.

Martin Pitt (pitti) wrote :

Thanks. I wonder about the impact of

r2130 | lennart | 2008-03-28 06:11:05 +1100 (Fri, 28 Mar 2008) | 1 line
rename polkit policy file to org.pulseaudio.policy to follow upstream guidelines

does that need a corresponding change anywhere else? For what does our Pulse use PK (or is it used at all?)

The rest looks fine to me. So if above change is not an issue, approved.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.10-1ubuntu1

---------------
pulseaudio (0.9.10-1ubuntu1) hardy; urgency=low

  [ Daniel T Chen ]
  * Merge from Debian unstable:
  * Patches
    + 0050-Reduce-RT-highprio-log-to-info:
    + 0051-Reduce-pa_pid_file_create-Daemon-already-running-log-spam:
      Retain to prevent innocuous messages from spamming user log;
    - 0052-Add-extra-checks-to-padsp-debug-calls:
    - 0053-Handle-channel-map-failure:
    - 0054-Invoke-pa_ltdl_done-conditionally:
    - 0055-fix_record_stream_moved: Merged in new upstream version.
  * Packaging
    + control: Adhere to DebianMaintainerField spec, and add a
      Vcs-Bzr entry;
    + control:
    + pulseaudio-module-jack.install: Don't generate or install the
      jackd module;
    + pulseaudio.init:
    + rules: Use multiuser semantics.

  [ Luke Yelavich ]
  * FFe granted. (LP: #211592)

 -- Luke Yelavich <email address hidden> Mon, 07 Apr 2008 10:40:01 +1000

Changed in pulseaudio:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers